Get a specific user’s information. Users that have expired access will not be returned.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Users under the Setup & Administration category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"authType": "default",
"email": "user@company.com",
"id": "123",
"name": "Bob Smith",
"roles": [
{
"expireAt": "2025-08-13T19:08:25Z",
"role": {
"id": "8a9371af-82d1-4158-bf91-4ecc8d3a114c",
"name": "Full Admin"
},
"tag": {
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://api.samsara.com/users/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"authType": "default",
"email": "user@company.com",
"id": "123",
"name": "Bob Smith",
"roles": [
{
"expireAt": "2025-08-13T19:08:25Z",
"role": {
"id": "8a9371af-82d1-4158-bf91-4ecc8d3a114c",
"name": "Full Admin"
},
"tag": {
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
}
]
}
}